> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/objects/ticket-creator.md).

# Ticket Creator

#### **Example**

```json
{
    "customIdentifier": null,
    "email": "bill_smith@gmail.com",
    "image": null,
    "name": "Bill Smith",
    "phoneNumber": null
}
```

Identify the ticket creator using `email` or `customIdentifier`. At least one of `email` or `customIdentifier` must be provided.

#### Fields

| Field            | Type   | Comments                                                                                                   |
| ---------------- | ------ | ---------------------------------------------------------------------------------------------------------- |
| customIdentifier | string | Alternative user identifier (e.g., social security number, account number). Can be used instead of `email` |
| email            | string | Email address of ticket creator                                                                            |
| image            | string | Url of creator's avatar                                                                                    |
| name             | string | Name of person created ticket                                                                              |
| phoneNumber      | string | Phone number of creator                                                                                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/objects/ticket-creator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
